> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update envelope delayed routing rules

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRouting
Content-Type: application/json

Updates the delayed routing rules for an envelope's workflow step definition.

You can use this endpoint to add delayed routing to a draft envelope or a sent envelope (as long as the previous workflow step has not yet been completed). You can also update the delayed routing rule for an envelope, as long as the delay is not yet complete. If you update the delayed routing rule while the delay is already in progress, the countdown will reset.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeworkflowdefinition/updateenvelopedelayedroutingdefinition

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `envelopeId` (string, required) — The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
- `workflowStepId` (string, required) — The ID of the workflow step.

### Body (application/json)

This endpoint expects a delayedRouting.

- `resumeDate` (string, optional) — The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is `null` if the workflow step has not been initiated. This property is read-only.
- `rules` (list of envelopeDelayRule, optional) — User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.
- `status` (string, optional) — Status of the delayed routing step. Valid values: - `pending`: The workflow step has not been reached and the delay has not been initiated. - `started`: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step's recipients. - `completed`: The delay has elapsed and the envelope has been sent to the workflow step's recipients. This property is read-only.

## Response

### 200

Successful response.

- `resumeDate` (string, optional) — The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is `null` if the workflow step has not been initiated. This property is read-only.
- `rules` (list of envelopeDelayRule, optional) — User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.
- `status` (string, optional) — Status of the delayed routing step. Valid values: - `pending`: The workflow step has not been reached and the delay has not been initiated. - `started`: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step's recipients. - `completed`: The delay has elapsed and the envelope has been sent to the workflow step's recipients. This property is read-only.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### envelopeDelayRule

A user-specified object that describes the envelope delay. To indicate a relative delay, use `delay`. To indicate the exact datetime the envelope should be sent, use `resumeDate`. Only one of the two properties can be used.

- `delay` (string, optional) — A string timespan representing the duration of the sending delay. The timespan is in the format `d.hh:mm:ss` where `d` is the number of days, `hh` is the number of hours (measured on a 24-hour clock), `mm` is minutes, and `ss` is seconds. The maximum delay is 30 days.
- `resumeDate` (string, optional) — An ISO 8601 formatted datetime string indicating the date and time that the envelope will be sent. The specified datetime must occur in the future. It must not exceed 30 days from the time that the request is made.

## Examples

**Request**

```json
{
  "resumeDate": "sample string 1",
  "rules": [
    {
      "delay": "sample string 1",
      "resumeDate": "sample string 2"
    }
  ],
  "status": "sample string 2"
}
```

**Response**

```json
{
  "resumeDate": "sample string 1",
  "rules": [
    {
      "delay": "sample string 1",
      "resumeDate": "sample string 2"
    }
  ],
  "status": "sample string 2"
}
```